Get a template

Retrieves the ADL 1.4 operational template (OPT) identified by template_id identifier.

Note that this can return either the original (canonical) XML based OPT format (if called with the Accept: application/xml request header), as well as the simplified JSON-based “web template” format (if called with the Accept: application/openehr.wt+json request header). For more details see the data representation specification.

Path Parameters
  • template_id
    Type: string
    required

    Template identifier.

Headers
  • Accept
    Type: stringenum
    required

    Header to indicate the expected response format.

    values
    • application/json
    • application/xml
    • text/plain
    • application/openehr.wt+json
Responses
  • 400

    400 Bad Request is returned when the request has invalid template_id (i.e. an incorrectly formatted template_id).

  • 404

    404 Not Found is returned when a template with the specified template_id does not exist.

  • 406

    406 Not Acceptable is returned when the service cannot produce a response matching Accept request header, i.e. content type or format is not supported.

Request Example for get/definition/template/adl1.4/{template_id}
curl 'https://cataniamc.prod.cadasto.com/v1/definition/template/adl1.4/Vital Signs' \
  --header 'Accept: application/json'
{
  "templateId": "string",
  "version": "string",
  "defaultLanguage": "string",
  "languages": [
    "string"
  ],
  "tree": {
    "id": "string",
    "name": "string",
    "localizedName": "string",
    "rmType": "string",
    "nodeId": "string",
    "min": 1,
    "max": 1,
    "localizedNames": {
      "en": "Vital Signs"
    },
    "localizedDescriptions": {
      "sl": "Generic encounter or progress note composition"
    },
    "aqlPath": "string",
    "children": [
      {
        "id": "context",
        "rmType": "EVENT_CONTEXT",
        "nodeId": "",
        "min": 1,
        "max": 1,
        "aqlPath": "/context",
        "children": [
          {
            "id": "context_detail",
            "name": "Context detail",
            "localizedName": "Context detail",
            "rmType": "CLUSTER",
            "nodeId": "openEHR-EHR-CLUSTER.context_detail.v1",
            "min": 0,
            "max": -1,
            "localizedNames": {
              "sl": "Podrobnosti"
            },
            "localizedDescriptions": {
              "sl": "Dodatni podatki o kontekstu"
            },
            "aqlPath": "/context/other_context[at0001]/items[openEHR-EHR-CLUSTER.context_detail.v1]",
            "children": [
              {
                "id": "tags",
                "name": "Tags",
                "localizedName": "Tags",
                "rmType": "DV_TEXT",
                "nodeId": "at0008",
                "min": 1,
                "max": -1,
                "localizedNames": {
                  "sl": "Tagi"
                },
                "localizedDescriptions": {
                  "sl": "*"
                },
                "annotations": {
                  "comment": "Tags applied to the composition. They can contain various ids, such as episode id, central case id or other types of information forming composition meta-data."
                },
                "aqlPath": "/context/other_context[at0001]/items[openEHR-EHR-CLUSTER.context_detail.v1]/items[at0008]/value",
                "inputs": [
                  {
                    "type": "TEXT"
                  }
                ]
              }
            ]
          },
          {
            "id": "start_time",
            "name": "Start_time",
            "rmType": "DV_DATE_TIME",
            "min": 0,
            "max": 1,
            "aqlPath": "/context/start_time",
            "inputs": [
              {
                "type": "DATETIME"
              }
            ],
            "inContext": true
          },
          {
            "id": "setting",
            "name": "Setting",
            "rmType": "DV_CODED_TEXT",
            "min": 0,
            "max": 1,
            "aqlPath": "/context/setting",
            "inputs": [
              {
                "suffix": "code",
                "type": "TEXT"
              },
              {
                "suffix": "value",
                "type": "TEXT"
              }
            ],
            "inContext": true
          }
        ]
      }
    ]
  }
}